com.brightcove.player.drm

## Class OfflineLicenseManager.Builder

- java.lang.Object
- - com.brightcove.player.drm.OfflineLicenseManager.Builder

- Enclosing class:
    OfflineLicenseManager

      public static class OfflineLicenseManager.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OfflineLicenseManager` | `build()`
    `OfflineLicenseManager.Builder` | `setCallback(com.google.android.exoplayer2.drm.MediaDrmCallback callback)`
    `OfflineLicenseManager.Builder` | `setDrmSessionEventDispatcher(com.google.android.exoplayer2.drm.DrmSessionEventListener.EventDispatcher drmSessionEventDispatcher)`
    `OfflineLicenseManager.Builder` | `setMediaDrm(com.google.android.exoplayer2.drm.ExoMediaDrm.Provider mediaDrm)`
    `OfflineLicenseManager.Builder` | `setOptionalKeyRequestParameters(java.util.HashMap<java.lang.String,java.lang.String> optionalKeyRequestParameters)`
    `OfflineLicenseManager.Builder` | `setProperties(java.util.Map<java.lang.String,java.lang.String> properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setMediaDrm

          public OfflineLicenseManager.Builder setMediaDrm(com.google.android.exoplayer2.drm.ExoMediaDrm.Provider mediaDrm)

    - #### setCallback

          public OfflineLicenseManager.Builder setCallback(com.google.android.exoplayer2.drm.MediaDrmCallback callback)

    - #### setOptionalKeyRequestParameters

          public OfflineLicenseManager.Builder setOptionalKeyRequestParameters(java.util.HashMap<java.lang.String,java.lang.String> optionalKeyRequestParameters)

    - #### setDrmSessionEventDispatcher

          public OfflineLicenseManager.Builder setDrmSessionEventDispatcher(com.google.android.exoplayer2.drm.DrmSessionEventListener.EventDispatcher drmSessionEventDispatcher)

    - #### setProperties

          public OfflineLicenseManager.Builder setProperties(java.util.Map<java.lang.String,java.lang.String> properties)

    - #### build

          public OfflineLicenseManager build()